Bug 1226266

Summary: handbooks for kinfocenter,ksysguard not shown: The requested help file could not be parsed
Product: [Fedora] Fedora Reporter: Jonathan Wakely <jwakely>
Component: khelpcenterAssignee: KDE SIG <kde-sig>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 22CC: jreznik, kde-sig, kevin, ltinkl, rdieter, rnovacek, than
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kwrited-5.3.1-1.fc22 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-09 15:11:08 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jonathan Wakely 2015-05-29 10:30:28 UTC
Description of problem:

Cannot see the konsole handbook in F22.


Version-Release number of selected component (if applicable):

konsole5-15.04.0-1.fc22.x86_64


How reproducible:

Always


Steps to Reproduce:
1. Help -> konsole Handbook
2. ;-(

Or:
1. Settings->Configure konsole...
2. Click "Help"
3. ;-(


Actual results:

Help center opens but displays:
The requested help file could not be parsed:<br/>/usr/share/doc/HTML/en//konsole/index.docbook


Expected results:

The handbook is shown in all its glory.


Additional info:

Also happens for ksysguard and kinfocenter

Comment 1 Rex Dieter 2015-05-29 11:07:11 UTC
Strange, I cannot reproduce the problem with konsole (it opens the handbook fine), but I *can* reproduce it with kinfocenter and ksysguard.

Let's triage this to khelpcenter for now.

Comment 2 Jonathan Wakely 2015-06-01 12:02:39 UTC
I get teh same error for the konversation handbook. Sadly, all the ones I actually want to use!

Comment 3 Rex Dieter 2015-06-01 14:26:38 UTC
Should be fixed with khelpcenter-5.3.1 in 
https://admin.fedoraproject.org/updates/FEDORA-2015-9118

Comment 4 Jonathan Wakely 2015-06-01 15:24:49 UTC
Ah yes, with the update the handbooks are all OK.

Comment 5 Fedora Update System 2015-06-01 15:48:10 UTC
khelpcenter-5.3.1-2.fc22, kmenuedit-5.3.1-1.fc22, kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, kwin-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, plasma-workspace-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, plasma-desktop-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, kde-cli-tools-5.3.1-1.fc22, muon-5.3.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-1.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-2.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-1.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-1.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-1.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-1.fc22,muon-5.3.1-1.fc22

Comment 6 Fedora Update System 2015-06-01 17:07:40 UTC
Package khelpcenter-5.3.1-2.fc22, kmenuedit-5.3.1-1.fc22, kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, kwin-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, plasma-workspace-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, plasma-desktop-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, kde-cli-tools-5.3.1-1.fc22, muon-5.3.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing khelpcenter-5.3.1-2.fc22 kmenuedit-5.3.1-1.fc22 kwrited-5.3.1-1.fc22 oxygen-fonts-5.3.1-1.fc22 plasma-sdk-5.3.1-1.fc22 kf5-kwayland-5.3.1-1.fc22 plasma-milou-5.3.1-1.fc22 ksysguard-5.3.1-1.fc22 kf5-kfilemetadata-5.9.1-1.fc22 plasma-oxygen-5.3.1-1.fc22 kscreen-5.3.1-1.fc22 kde-gtk-config-5.3.1-1.fc22 bluedevil-5.3.1-1.fc22 kio-extras-5.3.1-1.fc22 plasma-systemsettings-5.3.1-1.fc22 kdecoration-5.3.1-1.fc22 kwin-5.3.1-1.fc22 plasma-workspace-wallpapers-5.3.1-1.fc22 khotkeys-5.3.1-1.fc22 plasma-nm-5.3.1-1.fc22 sddm-kcm-5.3.1-1.fc22 plasma-workspace-5.3.1-1.fc22 libksysguard-5.3.1-1.fc22 kf5-baloo-5.9.1-1.fc22 kinfocenter-5.3.1-1.fc22 polkit-kde-5.3.1-1.fc22 kf5-bluez-qt-5.3.1-1.fc22 powerdevil-5.3.1-1.fc22 plasma-desktop-5.3.1-1.fc22 ksshaskpass-5.3.1-1.fc22 libkscreen-qt5-5.3.1-1.fc22 plasma-breeze-5.3.1-1.fc22 kdeplasma-addons-5.3.1-1.fc22 kde-cli-tools-5.3.1-1.fc22 muon-5.3.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-1.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-2.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-1.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-1.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-1.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-1.fc22,muon-5.3.1-1.fc22
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2015-06-05 23:57:34 UTC
Package kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kwrited-5.3.1-1.fc22 oxygen-fonts-5.3.1-1.fc22 plasma-sdk-5.3.1-1.fc22 kf5-kwayland-5.3.1-1.fc22 plasma-milou-5.3.1-1.fc22 ksysguard-5.3.1-1.fc22 kf5-kfilemetadata-5.9.1-1.fc22 plasma-oxygen-5.3.1-1.fc22 kscreen-5.3.1-1.fc22 kde-gtk-config-5.3.1-1.fc22 bluedevil-5.3.1-1.fc22 kio-extras-5.3.1-1.fc22 plasma-systemsettings-5.3.1-1.fc22 kdecoration-5.3.1-1.fc22 plasma-workspace-wallpapers-5.3.1-1.fc22 khotkeys-5.3.1-1.fc22 plasma-nm-5.3.1-1.fc22 sddm-kcm-5.3.1-1.fc22 libksysguard-5.3.1-1.fc22 kf5-baloo-5.9.1-1.fc22 kinfocenter-5.3.1-1.fc22 polkit-kde-5.3.1-1.fc22 kf5-bluez-qt-5.3.1-1.fc22 powerdevil-5.3.1-1.fc22 ksshaskpass-5.3.1-1.fc22 libkscreen-qt5-5.3.1-1.fc22 plasma-breeze-5.3.1-1.fc22 kdeplasma-addons-5.3.1-1.fc22 muon-5.3.1-1.fc22 kmenuedit-5.3.1-2.fc22 khelpcenter-5.3.1-3.fc22 kwin-5.3.1-2.fc22 plasma-workspace-5.3.1-2.fc22 kde-cli-tools-5.3.1-2.fc22 plasma-desktop-5.3.1-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-9118/kmenuedit-5.3.1-2.fc22,kwrited-5.3.1-1.fc22,oxygen-fonts-5.3.1-1.fc22,plasma-sdk-5.3.1-1.fc22,kf5-kwayland-5.3.1-1.fc22,plasma-milou-5.3.1-1.fc22,ksysguard-5.3.1-1.fc22,kf5-kfilemetadata-5.9.1-1.fc22,plasma-oxygen-5.3.1-1.fc22,kscreen-5.3.1-1.fc22,kde-gtk-config-5.3.1-1.fc22,bluedevil-5.3.1-1.fc22,khelpcenter-5.3.1-3.fc22,kio-extras-5.3.1-1.fc22,plasma-systemsettings-5.3.1-1.fc22,kdecoration-5.3.1-1.fc22,kwin-5.3.1-2.fc22,plasma-workspace-wallpapers-5.3.1-1.fc22,khotkeys-5.3.1-1.fc22,plasma-nm-5.3.1-1.fc22,sddm-kcm-5.3.1-1.fc22,plasma-workspace-5.3.1-2.fc22,libksysguard-5.3.1-1.fc22,kf5-baloo-5.9.1-1.fc22,kinfocenter-5.3.1-1.fc22,polkit-kde-5.3.1-1.fc22,kf5-bluez-qt-5.3.1-1.fc22,powerdevil-5.3.1-1.fc22,plasma-desktop-5.3.1-2.fc22,ksshaskpass-5.3.1-1.fc22,libkscreen-qt5-5.3.1-1.fc22,plasma-breeze-5.3.1-1.fc22,kdeplasma-addons-5.3.1-1.fc22,kde-cli-tools-5.3.1-2.fc22,muon-5.3.1-1.fc22
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-06-09 15:11:08 UTC
kwrited-5.3.1-1.fc22, oxygen-fonts-5.3.1-1.fc22, plasma-sdk-5.3.1-1.fc22, kf5-kwayland-5.3.1-1.fc22, plasma-milou-5.3.1-1.fc22, ksysguard-5.3.1-1.fc22, kf5-kfilemetadata-5.9.1-1.fc22, plasma-oxygen-5.3.1-1.fc22, kscreen-5.3.1-1.fc22, kde-gtk-config-5.3.1-1.fc22, bluedevil-5.3.1-1.fc22, kio-extras-5.3.1-1.fc22, plasma-systemsettings-5.3.1-1.fc22, kdecoration-5.3.1-1.fc22, plasma-workspace-wallpapers-5.3.1-1.fc22, khotkeys-5.3.1-1.fc22, plasma-nm-5.3.1-1.fc22, sddm-kcm-5.3.1-1.fc22, libksysguard-5.3.1-1.fc22, kf5-baloo-5.9.1-1.fc22, kinfocenter-5.3.1-1.fc22, polkit-kde-5.3.1-1.fc22, kf5-bluez-qt-5.3.1-1.fc22, powerdevil-5.3.1-1.fc22, ksshaskpass-5.3.1-1.fc22, libkscreen-qt5-5.3.1-1.fc22, plasma-breeze-5.3.1-1.fc22, kdeplasma-addons-5.3.1-1.fc22, muon-5.3.1-1.fc22, kmenuedit-5.3.1-2.fc22, khelpcenter-5.3.1-3.fc22, kwin-5.3.1-2.fc22, plasma-workspace-5.3.1-2.fc22, kde-cli-tools-5.3.1-2.fc22, plasma-desktop-5.3.1-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.